import gui
import vts

point_list = [[100,100], [200,200], [300,300]]
gui_DL = [[gui.DL_VERTEX2F(0,0)]]*4
# for coords in point_list:
#     gui_DL.extend([gui.DL_VERTEX2F(coords[0], coords[1])])

def press_cb(b):
    print("PRESS")
    point_list = [[400,40], [500,50], [600,60], [700,60]]
    for x in range(0,4):
        gui_DL[x] = [gui.DL_VERTEX2F(point_list[x][0], point_list[x][1])]
    gui.redraw()

gui.show([
    [gui.EVT_PRESS, press_cb],
    [gui.DL_BEGIN(gui.PRIM_POINTS)],
    [gui.DL_POINT_SIZE(5)],
    gui_DL,
    [gui.DL_END()],
])
